
WEBSRC += \
	web/crypto/innovaphone.crypto.js

$(OUTDIR)/obj/crypto_httpdata.cpp: $(IP_SRC)/web1/crypto/crypto.mak $(IP_SRC)/web1/crypto/*.js
		$(IP_SRC)/exe/httpfiles $(HTTPFILES-WEB-FLAGS) -d $(IP_SRC)/web1 -o $(OUTDIR)/obj/crypto_httpdata.cpp \
		crypto/innovaphone.crypto.js,SERVLET_STATIC,HTTP_CACHE+HTTP_GZIP+HTTP_NOPWD+HTTP_FORCENOPWD \
		crypto/innovaphone.crypto.ecdh.js,SERVLET_STATIC,HTTP_CACHE+HTTP_GZIP+HTTP_NOPWD+HTTP_FORCENOPWD

COMMONOBJS += $(OUTDIR)/obj/crypto_httpdata.o
$(OUTDIR)/obj/crypto_httpdata.o: $(OUTDIR)/obj/crypto_httpdata.cpp

LICENSE += \
	$(IP_SRC)/web1/crypto/des \
	$(IP_SRC)/web1/crypto/ecdh \
	$(IP_SRC)/web1/crypto/md5 \
	$(IP_SRC)/web1/crypto/rc4 \
	$(IP_SRC)/web1/crypto/sha
